package com.qmth.cqb.question.web;

import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.common.uac.annotation.Uac;
import cn.com.qmth.examcloud.common.uac.enums.RoleMeta;
import cn.com.qmth.examcloud.common.uac.enums.UacPolicy;

import com.qmth.cqb.question.model.QuestionAudio;
import com.qmth.cqb.question.service.QuestionAudioService;

/**
 * @author  	chenken
 * @date    	2017年8月2日 下午1:49:04
 * @company 	QMTH
 * @description QuestionAudioController.java
 */
@RestController
@RequestMapping("${api_cqb}/")
public class QuestionAudioController {
	
	@Autowired
	private QuestionAudioService questionAudioService;
	
	@ApiOperation(value = "获取试题音频文件", notes = "获取试题音频文件")
    @GetMapping(value = "/questionAudio/{fileName}/{questionId}")
	public ResponseEntity findQuestionAudio(@PathVariable String fileName,@PathVariable String questionId){
		QuestionAudio questionAudio = questionAudioService.findByQuestionIdAndFileName(questionId, fileName);
		return new ResponseEntity(questionAudio, HttpStatus.OK);
	}
}

